module Testing
  class Engine < ::Rails::Engine
    initializer "testing" do
      OrbitApp.registration "Testing", :type => "ModuleApp" do
        module_label "testing.testing"
        base_url File.expand_path File.dirname(__FILE__)
        widget_methods ['widget']
        widget_settings [{"data_count"=>30}]
        models_to_cache [:qa]
        taggable "Qa"
        categorizable
        authorizable
        frontend_enabled
        data_count 1..30
        side_bar do
          head_label_i18n 'testing.testing', icon_class: "icon-trash"
          available_for "users"
          active_for_controllers (['admin/testings'])
          head_link_path "admin_testings_path"
          context_link 'all',
                :link_path=>"admin_testings_path" ,
                :priority=>1,
                :active_for_action=>{'admin/testings'=>"index"},
                :available_for => 'users'
          context_link 'new_',
                :link_path=>"new_admin_testing_path" ,
                :priority=>2,
                :active_for_action=>{'admin/testings'=>"new"},
                :available_for => 'sub_managers'
          context_link 'categories',
                :link_path=>"admin_module_app_categories_path" ,
                :link_arg=>"{:module_app_id=>ModuleApp.find_by(:key=>'testing').id}",
                :priority=>3,
                :active_for_action=>{'admin/testings'=>'categories'},
                :active_for_category => 'Testing',
                :available_for => 'managers'
          context_link 'testing.order',
                :link_path=>"admin_testings_order_path" ,
                :priority=>4,
                :active_for_action=>{'admin/testings'=>'order'},
                :available_for => 'managers'
          context_link 'tags',
                :link_path=>"admin_module_app_tags_path" ,
                :link_arg=>"{:module_app_id=>ModuleApp.find_by(:key=>'testing').id}",
                :priority=>5,
                :active_for_action=>{'admin/testings'=>'tags'},
                :active_for_tag => 'Testing',
                :available_for => 'managers'
          context_link 'testing.hello',
                :link_path=>"admin_testings_hello_path" ,
                :priority=>6,
                :active_for_action=>{'admin/testings'=>'hello'},
                :active_for_tag => 'Testing',
                :available_for => 'managers'
        end
      end
    end
  end
end

